<app-menu></app-menu>

<div class="container mat-elevation-z8">
        
        <div class="row">
                <mat-toolbar color="warn">    
                <span>CRUD Proveedor</span>   
                </mat-toolbar>
        </div>

        <div class="row" style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                <mat-label>Razon Social</mat-label>
                <input  matInput [(ngModel)] ="filtro" >
            </mat-form-field>

           <button mat-raised-button  color="primary" type="button" (click)="consultaProveedor()"  class="btn btn-primary btn-sm" id="id_btn_filtrar"  style="width: 150px">Filtrar</button>
           <button mat-raised-button color="primary" type="button"  (click)="openAddDialog()" class='btn btn-primary btn-sm' style="width: 150px">Registrar</button>
        </div>

        <div class="row" style="margin-top: 3%">
            <mat-table  #table  class="mat-cell" [dataSource]="dataSource" >
                <ng-container matColumnDef="idProveedor">
                  <mat-header-cell  mat-header-cell *matHeaderCellDef >Id</mat-header-cell>
                  <mat-cell *matCellDef="let aux" >{{ aux.idProveedor }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="razonsocial">
                  <mat-header-cell  mat-header-cell *matHeaderCellDef >Razón Social</mat-header-cell>
                  <mat-cell *matCellDef="let aux" >{{ aux.razonsocial}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="ruc">
                  <mat-header-cell  mat-header-cell *matHeaderCellDef >RUC</mat-header-cell>
                  <mat-cell *matCellDef="let aux" >{{ aux.ruc }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="direccion">
                        <mat-header-cell  mat-header-cell *matHeaderCellDef >Dirección</mat-header-cell>
                        <mat-cell *matCellDef="let aux" >{{ aux.direccion }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="celular">
                        <mat-header-cell  mat-header-cell *matHeaderCellDef >Celular</mat-header-cell>
                        <mat-cell *matCellDef="let aux" >{{ aux.celular }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="contacto">
                        <mat-header-cell  mat-header-cell *matHeaderCellDef >Contacto</mat-header-cell>
                        <mat-cell *matCellDef="let aux" >{{ aux.contacto }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="fechaRegistro">
                  <mat-header-cell  mat-header-cell *matHeaderCellDef >Fecha Registro</mat-header-cell>
                  <mat-cell *matCellDef="let aux" >{{ aux.fechaRegistro | date:"dd/MM/yyyy"}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="pais">
                        <mat-header-cell  mat-header-cell *matHeaderCellDef >País</mat-header-cell>
                        <mat-cell *matCellDef="let aux" >{{ aux.pais!.nombre }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="tipo">
                        <mat-header-cell  mat-header-cell *matHeaderCellDef >Tipo de Proveedor</mat-header-cell>
                        <mat-cell *matCellDef="let aux" >{{ aux.tipoProveedor!.descripcion }}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="estado">
                  <mat-header-cell mat-header-cell *matHeaderCellDef>Estado</mat-header-cell>
                  <mat-cell *matCellDef="let aux">{{ aux.estado == 1 ? "Activo" : "Inactivo" }}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="acciones">
                    <mat-header-cell  mat-header-cell *matHeaderCellDef >&nbsp;</mat-header-cell>

                    <mat-cell *matCellDef="let aux; let i=index;">
                        
                        <div class="custom-control custom-switch">
                            <input type="checkbox" class="custom-control-input" 
                                    id="idEstado_{{ aux.idProveedor}}" name="estado" 
                                    [checked]="aux.estado==1?true:false" 
                                    (change)="actualizaEstado(aux)"  />         
                            <label class="custom-control-label" for="idEstado_{{ aux.idProveedor}}"></label>
                        </div>  

                       <button mat-icon-button color="accent" (click)="openUpdateDialog(aux)">
                            <mat-icon aria-label="Edit">edit</mat-icon>
                       </button>

                       <button mat-icon-button color="accent" (click)="elimina(aux)">
                                <mat-icon aria-label="Delete">delete</mat-icon>
                       </button>

                    </mat-cell>
               </ng-container>

     

              <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
              <mat-row *matRowDef="let aux; columns: displayedColumns"></mat-row>
          </mat-table>
          <mat-paginator [pageSizeOptions]="[6,8,10]" showFirstLastButtons></mat-paginator>


        </div>
</div>
